package com.trade.service.thirdparty.qichacha.dto;

import com.alibaba.fastjson2.annotation.JSONField;

import java.util.Date;

public class EcBasicInfoDto {

    private static final long serialVersionUID = 1L;
    /**
     * 公司内部关联主键
     */
    private String KeyNo;
    /**
     * 公司名称
     */
    private String Name;
    /**
     * 注册号
     */
    private String No;
    /**
     * 法定代表人
     */
    private String OperName;
    /**
     * 成立日期
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date StartDate;
    /**
     * 登记状态（存续、在业、注销、迁入、吊销、迁出、停业、清算）
     */
    private String Status;
    /**
     * 统一社会信用代码
     */
    private String CreditCode;


    public String getKeyNo() {
        return KeyNo;
    }

    public void setKeyNo(String keyNo) {
        KeyNo = keyNo;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getNo() {
        return No;
    }

    public void setNo(String no) {
        No = no;
    }

    public String getOperName() {
        return OperName;
    }

    public void setOperName(String operName) {
        OperName = operName;
    }

    public Date getStartDate() {
        return StartDate;
    }

    public void setStartDate(Date startDate) {
        StartDate = startDate;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public String getCreditCode() {
        return CreditCode;
    }

    public void setCreditCode(String creditCode) {
        CreditCode = creditCode;
    }
}
